Page MenuHomePhabricator

Document WikimediaApiPortal skin
Closed, ResolvedPublic

Description

Document WikimedaApiPortal skin in the project wiki and on mediawiki.org

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 23 2020, 10:31 PM
Aklapper renamed this task from Document WikimedaApiPortal skin to Document WikimediaApiPortal skin.Jul 24 2020, 1:39 PM
apaskulin added a subscriber: CCicalese_WMF.

@CCicalese_WMF Can you take a look at the draft and let me know what should we changed or added?

  • In the installation instructions, since it requires 1.36+, the 1.24- instructions can be removed.
  • Subpages must be enabled in any namespace for which you want sidebar navigation, not only NS_MAIN. We're only doing so in NS_MAIN on the API Portal, but if somebody were to try to use this elsewhere, they could do so in other namespaces.
  • The wording in the Sidebars section could be simplified a bit.
  • I was not able to get the footer to work with the instructions. Is it supposed to be MediaWiki:FooterLinks?

Thanks for the feedback! I've updated the doc to reflect your points. If it looks good to you, please remove the draft banner from the page to represent your signoff :)

One question: Is the release status still accurate as experimental or should we change it since it is deployed?

Done! I bumped it from experimental to beta. We can bump it to stable once we go live.

apaskulin closed this task as Resolved.Sep 15 2020, 3:29 PM

Thank you!